Returns an copy of a subset of the train data

- « fann_shuffle_train_data

- fann_test_data »

- PHP Manual
- Fann Functions
- Returns an copy of a subset of the train data

# fann_subset_train_data

(PECL fann >= 1.0.0)

fann_subset_train_data — Returns an copy of a subset of the train data

### Description

fann_subset_train_data(resource `$data`, int `$pos`, int `$length`): resource

Returns an copy of a subset of the train data resource, starting at position `pos` and `length` elements forward.

The `fann_subset_train_data(train_data, 0, fann_length_train_data(train_data))` do the same as fann_duplicate_train_data()

### Parameters

`data`

  Neural network training data resource.

`pos`

  Starting position.

`length`

  The number of copied elements.

### Return Values

Returns a train data resource on success, or `false` on error.

### See Also

- fann_duplicate_train_data() - Returns an exact copy of a fann train data